RIO_ENUM_MPORT(9)

NAME
rio_enum_mport - Start enumeration through a master port

SYNOPSIS

int rio_enum_mport (struct rio_mport * mport);

ARGUMENTS

mport
    Master port to send transactions

DESCRIPTION

Starts the enumeration process. If somebody has enumerated our master port device, then give up. If not and we have an active link, then start recursive peer enumeration. Returns 0 if enumeration succeeds or -EBUSY if enumeration fails.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.